use std::{io::{stdin, stdout}, str::FromStr};

use keyfork_prompt::*;
use keyfork_mnemonic_util::Mnemonic;

pub fn main() -> Result<()> {
    let mut mgr = PromptManager::new(stdin(), stdout())?;
    mgr.prompt_passphrase("Passphrase: ")?;
    let string = mgr.prompt_wordlist("Mnemonic: ", &Default::default())?;
    let mnemonic = Mnemonic::from_str(&string).unwrap();
    let entropy = mnemonic.entropy();
    mgr.prompt_message(&format!("Your entropy is: {entropy:X?}"))?;
    Ok(())
}
